@charset "utf-8";

.m01_04 {
    margin-bottom: 100px;
}

.m01_04 .flex-container {
    display: flex;
    align-items: flex-start;
    margin-top: 120px;
}

/* 타이틀 */
.m01_04 .title-container {
    width: 50%;
}

.m01_04 .title-container h2 {
    margin-bottom: 60px;
    color: #222;
    font-size: 48px;
    font-weight: 700;
    line-height: 62px;
}

.m01_04 .title-container p {
    color: #666666;
    font-size: 18px;
    font-weight: 400;
    line-height: 28px;
}

/* 연도 */
.m01_04 .history-container {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 100px;
    width: 50%;
}

.m01_04 .history-container::before {
    content: '';
    position: absolute;
    top: 35px;
    left: 0;
    width: 1px;
    height: calc(100% - 35px);
    background-color: #e1e1e1;
}

.m01_04 .history-container .year-container {
    position: relative;
    left: -12px;
    display: flex;
    align-items: center;
    gap: 50px;
    margin-bottom: 65px;
}

.m01_04 .history-container .year-container .circle {
    position: relative;
    width: 25px;
    height: 25px;
}

.m01_04 .history-container .year-container .circle::before {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 25px;
    height: 25px;
    background-color: rgba(34,34,34,0.1);
    border-radius: 50%;
}

.m01_04 .history-container .year-container .circle::after {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 17px;
    height: 17px;
    background-color: rgba(34,34,34,0.25);
    border-radius: 50%;
}

.m01_04 .history-container .year-container .circle .inner {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 11px;
    height: 11px;
    background-color: #fff;
    border: 3px solid #222;
    border-radius: 50%;
    z-index: 10;
}

.m01_04 .history-container .year-container .year {
    color: #222222;
    font-size: 60px;
    font-weight: 700;
    line-height: 72px;
    letter-spacing: -0.01em;
}

/* 월 텍스트 */
.m01_04 .history-container .month-container {
    position: relative;
    left: -2px;
    display: flex;
    flex-direction: column;
    gap: 45px;
}

.m01_04 .history-container .month-container .month-item {
    display: flex;
    gap: 28px;
}

.m01_04 .history-container .month-container .month-item .line {
    position: relative;
    top: 13px;
    width: 70px;
    height: 1px;
    background-color: #e6e6e6;
}

.m01_04 .history-container .month-container .month-item .line::before {
    content: '';
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    width: 5px;
    height: 5px;
    background-color: #222222;
    border-radius: 50%;
}

.m01_04 .history-container .month-container .month-item .month-content {
    display: flex;
    gap: 20px;
}

.m01_04 .history-container .month-container .month-item .month-content .month {
    position: relative;
    top: 3px;
    color: #222222;
    font-size: 20px;
    font-weight: 800;
    line-height: 1;
}

.m01_04 .history-container .month-container .month-item .month-content .desc {
    display: flex;
    gap: 13px;
} 

.m01_04 .history-container .month-container .month-item .month-content .desc .desc-icon {
    position: relative;
    top: 12px;
    display: inline-block;
    width: 4px;
    height: 4px;
    background-color: #d4d4d4;
    border-radius: 50%;
}

.m01_04 .history-container .month-container .month-item .month-content .desc .desc-text {
    display: inline-block;
    color: #5d5d5d;
    font-size: 17px;
    font-weight: 400;
    line-height: 26px; 
    word-break: keep-all;
}


@media (max-width: 991px) {
    .m01_04 {
        margin-bottom: 65px;
    }

    .m01_04 .flex-container {
        flex-direction: column;
        margin-top: 60px;
    }
    
    /* 타이틀 */
    .m01_04 .title-container {
        width: 100%;
        margin-bottom: 55px;
    }
    
    .m01_04 .title-container h2 {
        margin-bottom: 40px;
        font-size: 29px;
        line-height: 39px;
    }
    
    .m01_04 .title-container p {
        font-size: 14px;
        line-height: 20px;
    }
    
    /* 연도 */
    .m01_04 .history-container {
        gap: 50px;
        width: 100%;
    }
    
    .m01_04 .history-container::before {
        top: 15px;
        height: calc(100% - 15px);
    }
    
    .m01_04 .history-container .year-container {
        left: -9px;
        gap: 25px;
        margin-bottom: 40px;
    }
    
    .m01_04 .history-container .year-container .circle {
        width: 20px;
        height: 20px;
    }
    
    .m01_04 .history-container .year-container .circle::before {
        width: 20px;
        height: 20px;
    }
    
    .m01_04 .history-container .year-container .circle::after {
        width: 14px;
        height: 14px;
    }
    
    .m01_04 .history-container .year-container .circle .inner {
        width: 9px;
        height: 9px;
        border-width: 2px;
    }
    
    .m01_04 .history-container .year-container .year {
        font-size: 35px;
        line-height: 19px;
    }
    
    /* 월 텍스트 */
    .m01_04 .history-container .month-container {
        gap: 35px;
        left: -1px;
    }
    
    .m01_04 .history-container .month-container .month-item {
        gap: 35px;
    }
    
    .m01_04 .history-container .month-container .month-item .line {
        top: 10px;
        width: 0;
        background-color: transparent;
    }
    
    .m01_04 .history-container .month-container .month-item .line::before {
        width: 3px;
        height: 3px;
    }
    
    .m01_04 .history-container .month-container .month-item .month-content {
        gap: 25px;
    }
    
    .m01_04 .history-container .month-container .month-item .month-content .month {
        font-size: 15px;
        font-weight: 700;
    }
    
    .m01_04 .history-container .month-container .month-item .month-content .desc .desc-icon {
        top: 10px;
        width: 3px;
        height: 3px;
    }
    
    .m01_04 .history-container .month-container .month-item .month-content .desc .desc-text {
        font-size: 14px;
        line-height: 20px; 
    } 
}